# Changelog
All notable changes to Bénévalibre will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/)
and this project adheres to [Semantic Versioning](http://semver.org/).

## [Current development]

## [1.4.2] - 2023-01-27

- build(1.4.2): ajoute les statics
- fix: migration mineure sur messageinstance
- ref: complète les tests

## [1.4.1] - 2022-12-02

- doc: expliquer comment exporter les données de benevalos
- permettre de créer des messages d'instance en tant qu'admin qui apparraissent soi à tout le monde, soit aux managers d'assos uniquement

## [1.4.0] - 2022-03-25

- build(1.4.0): ajoute les statics compilés
- feat(association): Lors d'une fusion d'asso, assigne d'abord un manager puis déplace tous les autres participants
- feat(association): Permet de fusionner deux assos
- feat(association): place le bouton d'ajout au dessus du tableau dans les pages cruditor + faire passer les tests
- feat(association): Afficher le bouton "Gérer" sur toutes les pages d'asso
- feat(asso): Ajouter un bouton de création en haut de la page (#220)
- feat(instance): Ajoute la possibilité de téléverser une charte d'utilisation en pdf
- fix(tests): Ajoute le tag django_db pour réparer deux tests
- fix(stats): limite les décimales pour les distances
- fix(menu): corrige les entrées de menu ; homogénéise version mobile et desktop ; fix #126
- ref(menu): supprime du code mort
- feat(forms): adapte le wordin en modération; fix #94
- feat(benevalo): tri par date décroissante par défaut; fix #68
- feat(engagement): ajoute la possibilité de se dégager soi même d une asso; fix #61
- feat(footer): clarification du footer ; fix #127
- feat(board): graisse le lien cliquable ; fix #128
- feat(logs): loggue les exception rattrapées
- feat(notification): précise les permissions dans la notification « Mise à jour de votre engagement sur app.benevalibre.org » ; fix #129
- ref(docs): reformule en plus inclusif, précise le rôle « gère l association »; fix #132
- feat(emails): attrape / ignore les erreurs d envoi d email ; fix #110
- fix(exports): type les champs numériques dans les exports; fix #133
- fix(registration): ajoute le plan d url dans le lien affiché dans le courriel d activation ; fix #69
- fix(roles): utilise l attribut plutot que le nom pour trouver le rôle dirigeant ; fix #168
- fix(account): fix the fix; fix #135
- fix(accounts): la réinitialisation de mot de passe échoue explicitement si l'utilisateur n'existe pas ou n'est pas activé
- ref(forms) : privilégie les input de type text plutôt que number ; fix #180
- fix(association): corrige create_url; fix vraiment #187
- fix(association): corrige titlebutton et create_url; fix #187
- fix(stats): défini l élément nul avec le bon type; fix #191
- feat(benevalo): durci le validateur de dates; fix #195
- feat(asso): corrige la vue lecture seule; redirige si les permsissions peuvent; fix #200
- feat(doc): documente la supression d une association ; fix #205
- feat(tests): test le support de idna
- ref(passwdreset): réécrit l envoi de mail pour permettre le support de idna
- ref(templates): centralise la définition de instance_name; fix #198.
- feat(deps): passe à Django 3.2
- fix(docs): force le masquage des classes dans sphinx; fix #199
- fix(readme): correction
- build(static): supprime package-lock.json de la branche de dev
- Revert "build(1.3.1): ajoute les statics compilés"
- feat(template): Ajoute un lien vers le forum

## [1.3.1] - 2021-02-10

### Changes

- Association's has_employees field can now handle null values, and appears as a dropdown list
- Minimum required Debian version is now Buster, documentation is updated accordingly

## [1.3.0] - 2021-02-04

### Additions

- adds 4 fields to Association model
	- association's country
	- association's postcode
	- association has employees or not
	- association's annual income

### Changes

- documentation update according to recent changes
 
## [1.2.0] - 2021-01-18

### Additions

- adds a target to test migrations consistency
- adds a target to run only last-failed tests
- adds an association related statistics page
    - this page is accessible from the association page's manage menu
    - access to this page is permitted only for members with benevalo administration rights
    - it displays :
        - total members registered
        - number of benevalos, corresponding duration & distance, per year or total
        - number of benevalos, involved members, total duration & distance per benevalo category and per year or total
        - number of benevalos, involved members, total duration & distance per project and per year or total
        - number of benevalos, involved members, total duration & distance per benevalo level and per year or total
- adds total distance to displayed data in instance statistics page

### Changes

- improves release documentation

## [1.1.0] - 2020-11-12

### Additions

- adds release documentation
- adds version no. in footer
- adds an update verification command
- adds an instance statistics page accessible from administration menu, displaying :
    - active associations, active users and valid benevalos per year or total
    - number of benevalos, involved associations & users, total duration per benevalo category and per year or total
    - associations' activity fields domains repartition
    - associations' activity fields repartition
- adds a statistics table on top of associations list
    - total number of active associations, active users & benevalos

### Changes

- minor syntax changes to associations' default role

## [1.0.0] - 2020-01-08

Final v1 release.
