# Generated by Django 2.2.2 on 2019-06-07 07:51

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('instance', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='ActivityField',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='nom')),
            ],
            options={
                'verbose_name': "champ d'activité associative",
                'verbose_name_plural': "champs d'activités associatives",
            },
        ),
        migrations.CreateModel(
            name='ActivityFieldGroup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='nom')),
            ],
            options={
                'verbose_name': "groupe de champs d'activités associatives",
                'verbose_name_plural': "groupes de champs d'activités associatives",
            },
        ),
        migrations.CreateModel(
            name='Association',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=127, verbose_name='nom')),
                ('description', models.TextField(blank=True, null=True, verbose_name='description')),
                ('activity_field', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='association.ActivityField', verbose_name="champ d'activité")),
            ],
        ),
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='nom')),
                ('description', models.TextField(blank=True, null=True, verbose_name='description')),
                ('association', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='association.Association', verbose_name='association')),
            ],
            options={
                'verbose_name': 'projet',
                'verbose_name_plural': 'projets',
            },
        ),
        migrations.CreateModel(
            name='Level',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='nom')),
                ('description', models.TextField(blank=True, null=True, verbose_name='description')),
                ('association', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='association.Association', verbose_name='association')),
            ],
            options={
                'verbose_name': 'niveau',
                'verbose_name_plural': 'niveaux',
            },
        ),
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='nom')),
                ('description', models.TextField(blank=True, null=True, verbose_name='description')),
                ('association', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='association.Association', verbose_name='association')),
                ('instance_category', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='instance.InstanceCategory', verbose_name="catégorie d'instance")),
            ],
            options={
                'verbose_name': 'catégorie',
                'verbose_name_plural': 'catégories',
            },
        ),
        migrations.AddField(
            model_name='activityfield',
            name='activity_field_group',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='association.ActivityFieldGroup', verbose_name="groupe de champs d'activités"),
        ),
    ]
