import django_tables2 as tables
from django_tables2.utils import A

from benevalibre.utils.tables import ActionsColumn

from . import models


class DefaultRoleIndexTable(tables.Table):
    actions = ActionsColumn(
        update_url='instance:role:update', delete_url='instance:role:delete'
    )
    name = tables.LinkColumn('instance:role:update', args=(A('pk'),))

    class Meta:
        model = models.DefaultRole
        fields = ('name', 'actions')


class DefaultLevelIndexTable(tables.Table):
    actions = ActionsColumn(
        update_url='instance:level:update', delete_url='instance:level:delete'
    )
    name = tables.LinkColumn('instance:level:update', args=(A('pk'),))

    class Meta:
        model = models.DefaultLevel
        fields = ('name', 'actions')


class DefaultCategoryIndexTable(tables.Table):
    actions = ActionsColumn(
        update_url='instance:category:update',
        delete_url='instance:category:delete',
    )
    name = tables.LinkColumn('instance:category:update', args=(A('pk'),))

    class Meta:
        model = models.DefaultCategory
        fields = ('name', 'instance_category', 'actions')


class InstanceCategoryIndexTable(tables.Table):
    actions = ActionsColumn(
        update_url='instance:instance_category:update',
        delete_url='instance:instance_category:delete',
    )
    name = tables.LinkColumn(
        'instance:instance_category:update', args=(A('pk'),)
    )

    class Meta:
        model = models.InstanceCategory
        fields = ('name', 'actions')


class InstanceMessageIndexTable(tables.Table):
    actions = ActionsColumn(
        update_url='instance:instance_message:update',
        delete_url='instance:instance_message:delete',
    )
    name = tables.LinkColumn(
        'instance:instance_message:update',
        args=(A('pk'),),
        verbose_name="Message",
    )

    class Meta:
        model = models.InstanceMessage
        fields = (
            'name',
            'target',
            'broadcast_date',
            'expiration_date',
            'author',
            'actions',
        )
