from django.urls import path

from benevalibre.utils.urls import crud_include

from . import views

app_name = 'instance'

urlpatterns = (
    path('roles/', crud_include(views, 'DefaultRole', 'role')),
    path('levels/', crud_include(views, 'DefaultLevel', 'level')),
    path('categories/', crud_include(views, 'DefaultCategory', 'category')),
    path(
        'instance-message/',
        crud_include(views, 'InstanceMessage', 'instance_message')
    ),
    path(
        'instance-message/<int:id>/dismiss',
        views.InstanceMessageDismiss.as_view(),
        name='instance_message_dismiss',
    ),
    path(
        'instance-category/',
        crud_include(views, 'InstanceCategory', 'instance_category'),
    ),
    path('charte/', views.TermsOfUseCreate.as_view(), name='terms_of_use'),
)
