import os

from django.core.exceptions import ValidationError

import magic


def validate_is_pdf(file):
    validation_error = ValidationError(
        'Veuillez sélectionner un fichier au format PDF.'
    )
    valid_mime_types = ['application/pdf']
    file_mime_type = magic.from_buffer(file.read(1024), mime=True)
    if file_mime_type not in valid_mime_types:
        raise validation_error

    valid_file_extensions = ['.pdf']
    _, ext = os.path.splitext(file.name)
    if ext.lower() not in valid_file_extensions:
        raise validation_error
