from django.contrib.sites.shortcuts import get_current_site


def get_instance_name(request):
    instance_name = get_current_site(request).name
    try:
        return instance_name.encode().decode('idna')
    except Exception:
        return instance_name


def get_dismissed_instance_messages(request):
    try:
        return request.session['dismissed-instance-messages']
    except KeyError:
        return []


def set_dismissed_instance_messages(request, dismissed):
    request.session['dismissed-instance-messages'] = dismissed
